Feature
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
GET | |
POST |
Retrieve feature flags matching ids
Get IDs of all feature flags matching the current filters. Uses the same filtering logic as the list endpoint. Returns only IDs that the user has permission to edit.
Required API key scopes
feature_flag:readPath parameters
- project_idstring
Example request
GET /api /projects /:project_id /feature_flags /matching_idsExample response
Status 200 No response body
Retrieve feature flags matching ids
Get IDs of all feature flags matching the current filters. Uses the same filtering logic as the list endpoint. Returns only IDs that the user has permission to edit.
Required API key scopes
feature_flag:readPath parameters
- project_idstring
Example request
GET /api /projects /:project_id /feature_flags /matching_idsExample response
Status 200 No response body
Retrieve feature flags my flags
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- project_idstring
Query parameters
- groupsstringDefault:
{}
Example request
GET /api /projects /:project_id /feature_flags /my_flagsExample response
Status 200
Retrieve feature flags my flags
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- project_idstring
Query parameters
- groupsstringDefault:
{}
Example request
GET /api /projects /:project_id /feature_flags /my_flagsExample response
Status 200
Create feature flags user blast radius
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- project_idstring
Request parameters
- conditionobject
- group_type_indexinteger
Response
Example request
POST /api /projects /:project_id /feature_flags /user_blast_radiusExample response
Status 200
Create feature flags user blast radius
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- project_idstring
Request parameters
- conditionobject
- group_type_indexinteger
Response
Example request
POST /api /projects /:project_id /feature_flags /user_blast_radius